Generation Framework

## org.eclipse.gmf.graphdef.codegen
Enum MapModeCodeGenStrategy

    java.lang.Object
      java.lang.Enum<MapModeCodeGenStrategy>
          org.eclipse.gmf.graphdef.codegen.MapModeCodeGenStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MapModeCodeGenStrategy>

    public enum MapModeCodeGenStrategy

extends java.lang.Enum<MapModeCodeGenStrategy>

Enum Constant Summary
`DYNAMIC`
`STATIC`

Method Summary
`java.lang.String` `getToken()`
`static MapModeCodeGenStrategy` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MapModeCodeGenStrategy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STATIC

    public static final MapModeCodeGenStrategy STATIC

### DYNAMIC

    public static final MapModeCodeGenStrategy DYNAMIC

Method Detail

### values

    public static MapModeCodeGenStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MapModeCodeGenStrategy c : MapModeCodeGenStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MapModeCodeGenStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getToken

    public java.lang.String getToken()

  Returns:
    identifying token of this strategy

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.